
//-----------------------------------------------------------------------------

function GetHeaders()
{
    var headerNames = req.getHeaderNames();
    var theList = "";
    for (var i = 0; i < headerNames.length; i++)
        theList += headerNames[i] + ": " + req.getHeader(headerNames[i]) + "\n";
    return theList;
}
//-----------------------------------------------------------------------------

function GetVfsFromProperties() // assuming it's name is in ../Properties/vfs.properties, relative to the script path
{
    var sf = new File(req.getScriptPath());
    var spf = new File(sf.getParentPath());
    var propDir = new File(spf.getParentPath() + "/Properties");
    var fileList = propDir.list("*.properties");
    var propFilePath = "";
    for (var f = 0; f < fileList.length; f++)
    {
        var fn = fileList[f].getFileName();
        if (fn.substring(fn.indexOf('.')) == ".properties")
        {
            propFilePath = fileList[f].getFilePath();
        }
    }
    if (propFilePath == "")
        return "";
    
    var pf = new File(propFilePath);
    var vfs = "";
    if (pf.exists())
    {
        var text = pf.readNextLine();
        while (text && text.substring(0, "virtualfilesystem".length) != "virtualfilesystem")
            text = pf.readNextLine();
        if (text)
        {
            text = text.substring("virtualfilesystem".length + 1);
            var firstDotIndex = text.indexOf('.');
            vfs = text.substring(0, firstDotIndex);
        }
    }
    pf.close();
    return vfs;
}
//-----------------------------------------------------------------------------

function ScriptVfs()
{
    var sp = req.getScriptPath();
    var vfs = sp.substr(0, sp.indexOf(":") + 1);
    return vfs;
}
//-----------------------------------------------------------------------------

function Vfs() { return ScriptVfs(); }
function VFS() { return ScriptVfs(); }

//-----------------------------------------------------------------------------

