/*==============================================================================
*
* File:     xmlplatform.ms
*
* Contains:
*   platform specific methods for metadata parsing. Generic version
*
* Copyright:    Copyright (C) 2005 Equilibrium, Inc. All rights reserved.
*
*=============================================================================*/

#include "sys:xml.ms"

function Metadata_createDOM(validate)
{
    this.dom = new XmlDocument();
    this.doValidation = false;
}

function Metadata_clear()
{
	this.dom = new XmlDocument();
}

/* ----------------------------------------------------------------------------
 *  Metadata_getXML this.getXML()
 *
 *  return the xml as string.
 *
 *  returns     - xml string
 *
 -----------------------------------------------------------------------------*/
function Metadata_getXML()
{
    return this.dom.toString();
}

/* ----------------------------------------------------------------------------
 *  Metadata_validate this.validate()
 *
 *  validate the current document. Throws error if document validation fails.
 *
 *  returns nothing
 *
 -----------------------------------------------------------------------------*/
function Metadata_validate()
{
// no generic validation available
}

function Metadata_handleValidationErr(errObj)
{
}

