#!/bin/bash
# Unattended installation script. Replace the text in ALL CAPS with your real values.
# EMAIL should be set to the email address used to sign up for a CPUCoin account.
# ENTITY NAME should be the user's real name, nickname, or company name the miner should be listed under. Needs to contain a space.
# The display name doesn't set a value so the miner client will use the hostname of the machine by default. And because the row is set in
#   the debconf DB, the installer will not pause the install to ask for this information. If however, you wish to customize this, then put a value there.
#   Note for mass installs it is not desirable for all your miners to be seen with the same display name on the CPUCoin CGN Dashboard.

sudo debconf-set-selections <<< 'cpucoinminer cpucoinminer/email string EMAIL'
sudo debconf-set-selections <<< 'cpucoinminer cpucoinminer/entityname string ENTITY NAME'
sudo debconf-set-selections <<< 'cpucoinminer cpucoinminer/displayname string'
sudo apt -y install ./cpucoinminer*.deb
